<?php
/**
* Register widget area.
*
* @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
*/
function retro_blog_widgets_init() {
    register_sidebar( array(
    'name'          => esc_html__( 'Sidebar', 'retro-blog' ),
    'id'            => 'sidebar-1',
    'description'   => '',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
    'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
    ) );
    register_sidebar( array(
        'name'          => esc_html__( 'Footer Col-1', 'retro-blog' ),
        'id'            => 'footer-1',
        'description'   => '',
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
    ) );
    register_sidebar( array(
        'name'          => esc_html__( 'Footer Col-2', 'retro-blog' ),
        'id'            => 'footer-2',
        'description'   => '',
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
    ) );
    register_sidebar( array(
        'name'          => esc_html__( 'Footer Col-3', 'retro-blog' ),
        'id'            => 'footer-3',
        'description'   => '',
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
    ) );
}
add_action( 'widgets_init', 'retro_blog_widgets_init' );

/**
 * function for google fonts
 */
if (!function_exists('retro_blog_fonts_url')) :

    /**
     * Return fonts URL.
     *
     * @since 1.0.0
     * @return string Fonts URL.
     */
    function retro_blog_fonts_url()
    {

        $fonts_url = '';
        $fonts = array();
        $subsets = 'latin,latin-ext';

        if ('off' !== _x('on', 'Bungee Shade font: on or off', 'retro-blog')) {
            $fonts[] = 'Bungee+Shade';
        }

        if ('off' !== _x('on', 'Oregano font: on or off', 'retro-blog')) {
            $fonts[] = 'Oregano:400,400i';
        }

        if ('off' !== _x('on', 'Open Sans font: on or off', 'retro-blog')) {
            $fonts[] = 'Open+Sans:400,400i';
        }

        if ($fonts) {
            $fonts_url = add_query_arg(array(
                'family' => urldecode(implode('|', $fonts)),
                'subset' => urldecode($subsets),
            ), '//fonts.googleapis.com/css');
        }
        return $fonts_url;
    }
endif;


/**
 * Recommended plugins
 *
 */
if (!function_exists('retro_blog_recommended_plugins')):

function retro_blog_recommended_plugins() {
    $retro_blog_plugins = array(
        array(
            'name'     => __('One Click Demo Import', 'retro-blog'),
            'slug'     => 'one-click-demo-import',
            'required' => false,
        ),
    );
    $retro_blog_plugins_config = array(
        'dismissable' => true,
    );

    tgmpa($retro_blog_plugins, $retro_blog_plugins_config);
}
endif;
add_action('tgmpa_register', 'retro_blog_recommended_plugins');
